Developer Portal

KBDStars API Documentation

Cleanly separated modules for Match Fixture API, Teams API, and upcoming APIs.

Back to Home

Base Configuration

Use the production base URL for all endpoints:

https://api.kbdstars.com/api/v1

Authentication is passed via query string:

?apiKey=<your_api_key>

API for Match Fixture

Endpoint + Params

Method: GET

Path: /tournaments/:tournamentId/schedule

Required Query: apiKey

https://api.kbdstars.com/api/v1/tournaments/3OO725D5/schedule?apiKey=YOUR_API_KEY
Response Schema

tournamentId: string

count: number

schedule: MatchScheduleItem[]

MatchScheduleItem: matchId, matchStatus, team names, scheduleAt, optional scores/logos/winner/isGoldenRaid

Example Response
{
  "tournamentId": "3OO725D5",
  "count": 22,
  "schedule": [
    {
      "matchId": "KURA4060",
      "matchStatus": "Completed",
      "teamAScore": 1,
      "teamBScore": 0,
      "teamALogo": "https://firebasestorage.googleapis.com/...",
      "teamBLogo": "https://firebasestorage.googleapis.com/...",
      "teamAName": "Kurnool Knights",
      "teamBName": "WARRIORZ K.C",
      "winnerTeam": "Kurnool Knights",
      "scheduleAt": "20-12-2025 11:24 AM",
      "isGoldenRaid": false
    },
    {
      "matchId": "KKL34177",
      "matchStatus": "Upcoming",
      "teamAName": "KKL",
      "teamBName": "Gujarat ",
      "scheduleAt": "24-03-2026 10:59 AM"
    },
    {
      "matchId": "WAR39AFC",
      "matchStatus": "Live",
      "teamALogo": "https://firebasestorage.googleapis.com/...",
      "teamBLogo": "https://firebasestorage.googleapis.com/...",
      "teamAName": "WARRIORZ K.C",
      "teamBName": "Yuva Yoddha ",
      "scheduleAt": "24-03-2026 10:59 AM"
    }
  ]
}

API for Teams

Endpoint + Params

Method: GET

Path: /teams/:teamId

Required Query: apiKey

https://api.kbdstars.com/api/v1/teams/3OO3E9D5?apiKey=YOUR_API_KEY
Response Schema

teamId: string

team: TeamProfile

team.players: Record<string, TeamPlayer>

TeamProfile: identity, location, stats, players map

TeamPlayer: name, playerId, userId, role, jersey, images, dummyProfile

Example Response
{
  "teamId": "3OO3E9D5",
  "team": {
    "teamId": "3OO3E9D5",
    "name": "Sonipat Spartans",
    "city": "Sonipat",
    "state": "Haryana",
    "country": "India",
    "logo": "https://firebasestorage.googleapis.com/...",
    "matchesPlayed": 42,
    "wins": 27,
    "losses": 15,
    "totalPoints": 705,
    "raidPoints": 459,
    "tacklePoints": 161,
    "players": {
      "2543349486": {
        "name": "Priyank Chandel",
        "playerId": "SONCBC70",
        "userId": "2543349486",
        "playerRole": "Defender, left cover",
        "jerseyNo": "54",
        "profileImageLow": "https://firebasestorage.googleapis.com/...",
        "profileImage": "https://firebasestorage.googleapis.com/..."
      },
      "SON9D483": {
        "name": "Akshay",
        "playerId": "SON9D483",
        "userId": "SON9D483",
        "playerRole": "Defender, left corner",
        "jerseyNo": "52",
        "dummyProfile": true
      }
    }
  }
}

API for Player Stats

Endpoint + Params

Method: GET

Path: /tournaments/:tournamentId/stats

Required Query: apiKey

https://api.kbdstars.com/api/v1/tournaments/3OO725D5/stats?apiKey=YOUR_API_KEY
Response Schema

tournamentId: string

stats: Record<string, PlayerStat>

PlayerStat: player identity + raid/tackle/bonus/special stats

PlayerStat Fields

Identity: name, team, playerRole, jerseyNo

Participation: matchesPlayed

Points: totalPoints, raidPoints, tacklePoints, bonusPoints

Raid: successfulRaids, unsuccessfulRaids, emptyRaids, totalRaids

Tackle: successfulTackles, unsuccessfulTackles

Special: superRaids, superTackles, super10s, high5s

Example Response
{
  "tournamentId": "3OO725D5",
  "stats": {
    "1169946334": {
      "name": "Jatin Singh",
      "team": "Bajarang",
      "playerRole": null,
      "jerseyNo": null,
      "matchesPlayed": 5,
      "totalPoints": 2,
      "raidPoints": 1,
      "tacklePoints": 1,
      "successfulRaids": 1,
      "unsuccessfulRaids": 2,
      "emptyRaids": 1,
      "totalRaids": 4,
      "successfulTackles": 1,
      "unsuccessfulTackles": 1,
      "bonusPoints": 0,
      "superRaids": 0,
      "superTackles": 0,
      "super10s": 0,
      "high5s": 0
    },
    "3ooxi17revghryy8jeopbijfwto1": {
      "name": "Vishal Koshti",
      "team": "Kurnool Knights",
      "playerRole": "All-Rounder",
      "jerseyNo": "7",
      "matchesPlayed": 11,
      "totalPoints": 33,
      "raidPoints": 28,
      "tacklePoints": 4,
      "successfulRaids": 14,
      "totalRaids": 17,
      "successfulTackles": 4,
      "bonusPoints": 1,
      "superRaids": 6,
      "super10s": 1
    }
  }
}

List of APIs to Add Later

API for Tournament DetailsPlanned
API for Match Live ScorePlanned
API for Rankings / LeaderboardPlanned
API for News & AnnouncementsPlanned